KInstance class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KInstance Class Reference

Access to KDE global objects for use in shared libraries. More...

`#include <kinstance.h>`

Inheritance diagram for KInstance:

[legend]
Collaboration diagram for KInstance:

[legend]
List of all members.

## Public Member Functions
| KInstance (const QCString &instanceName)
| Constructor.
| KInstance (const KAboutData *aboutData)
| Constructor.
| KInstance (KInstance *src)
virtual | ~KInstance ()
| Destructor.
KStandardDirs * | dirs () const
| Returns the application standard dirs object.
KConfig * | config () const
| Returns the general config object ("appnamerc").
KIconLoader * | iconLoader () const
| Returns an iconloader object.
void | newIconLoader () const
| Re-allocate the global iconloader.
KCharsets * | charsets () const
const KAboutData * | aboutData () const
| Returns the about data of this instance Warning, can be 0L.
QCString | instanceName () const
| Returns the name of the instance.
KMimeSourceFactory * | mimeSourceFactory () const
| Returns the KMimeSourceFactory of the instance.
## Protected Member Functions
| KInstance (const KInstance &)
| Copy Constructor is not allowed.
void | setConfigName (const QString &name)
| Set name of default config file.
virtual void | virtual_hook (int id, void *data)
## Friends
class | KStandardDirs

## Detailed Description

Access to KDE global objects for use in shared libraries.

In practical terms, this class is used in KDE components. This allows components to store things that normally would be accessed by KGlobal.

Author:
  Torben Weis

Version:
  Id
    kinstance.h,v 1.26 2002/09/28 12:28:47 tjansen Exp

Definition at line 42 of file kinstance.h.

## Constructor & Destructor Documentation

KInstance::KInstance | ( | const QCString & | instanceName | ) |

  | Constructor. Parameters:
  instanceName | the name of the instance
Definition at line 50 of file kinstance.cpp. References KStdAction::name(), and KGlobal::setActiveInstance().

KInstance::KInstance | ( | const KAboutData * | aboutData | ) |

  | Constructor. When building a KInstance that is not your KApplication, make sure that the KAboutData and the KInstance have the same life time. You have to destroy both, since the instance doesn't own the about data. Don't build a KAboutData on the stack in this case ! Building a KAboutData on the stack is only ok for usage with KCmdLineArgs and KApplication (not destroyed until the app exits). Parameters:
  aboutData | data about this instance (see KAboutData)
Definition at line 67 of file kinstance.cpp. References QCString::isEmpty(), and KGlobal::setActiveInstance().

KInstance::~KInstance | ( |  | ) | `[virtual]`

| Destructor. Definition at line 109 of file kinstance.cpp. References KGlobal::setActiveInstance().

KInstance::KInstance | ( | const KInstance & |  | ) | `[protected]`

| Copy Constructor is not allowed.

## Member Function Documentation

KStandardDirs * KInstance::dirs | ( |  | ) | const

| Returns the application standard dirs object. Returns: The KStandardDirs of the application. Definition at line 132 of file kinstance.cpp. References KStandardDirs::addCustomized(), and KConfig::reparseConfiguration(). Referenced by KGlobal::dirs(), KLibLoader::findLibrary(), iconLoader(), KStandardDirs::locate(), KStandardDirs::locateLocal(), and newIconLoader().

KConfig * KInstance::config | ( |  | ) | const

| Returns the general config object ("appnamerc"). Returns: the KConfig object for the instance. Definition at line 144 of file kinstance.cpp. References KStandardDirs::addCustomized(), QCString::isEmpty(), KConfigBase::readBoolEntry(), KConfig::reparseConfiguration(), and KConfigBase::setGroup(). Referenced by KGlobal::config(), KCmdLineArgs::enable_i18n(), KNotifyClient::Instance::Instance(), KApplication::invokeMailer(), and KLocale::KLocale().

KIconLoader * KInstance::iconLoader | ( |  | ) | const

| Returns an iconloader object. Returns: the iconloader object. Definition at line 184 of file kinstance.cpp. References dirs(), and KIconLoader::enableDelayedIconSetLoading(). Referenced by KWin::icon(), KGlobal::iconLoader(), and mimeSourceFactory().

void KInstance::newIconLoader | ( |  | ) | const

| Re-allocate the global iconloader. Definition at line 194 of file kinstance.cpp. References dirs(), KIconLoader::reconfigure(), and KIconTheme::reconfigure().

const KAboutData * KInstance::aboutData | ( |  | ) | const

| Returns the about data of this instance Warning, can be 0L. Returns: the about data of the instance, or 0 if it has not been set yet Definition at line 200 of file kinstance.cpp. Referenced by KApplication::caption(), and KCrash::defaultCrashHandler().

QCString KInstance::instanceName | ( |  | ) | const

| Returns the name of the instance. Returns: the instance name, can be null if the KInstance has been created with a null name Definition at line 205 of file kinstance.cpp. Referenced by KApplication::icon(), KApplication::iconName(), KApplication::KApplication(), KApplication::miniIcon(), and KApplication::miniIconName().

KMimeSourceFactory * KInstance::mimeSourceFactory | ( |  | ) | const

| Returns the KMimeSourceFactory of the instance. Mainly added for API completeness and future extensibility. Returns: the KMimeSourceFactory set as default for this application. Definition at line 210 of file kinstance.cpp. References iconLoader().

void KInstance::setConfigName | ( | const QString & | name | ) | `[protected]`

  | Set name of default config file. Parameters:
  name | the name of the default config file
Since: 3.1 Definition at line 179 of file kinstance.cpp.

The documentation for this class was generated from the following files:

- kinstance.h
- kinstance.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:49:32 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001